Chargement...
 
[Voir/Cacher menus de gauche]
[Voir/Cacher menus de droite]

2 - Les distributions et les noyaux

> Forums de discussion > 2 - Les distributions et les noyaux > [LZK3] réseau wi-fi périphérique non prêt micrologiciel manquant [Résolu]
Dernier post

[LZK3] réseau wi-fi périphérique non prêt micrologiciel manquant [Résolu]

djb utilisateur non connecté
bonsoir,
"réseau wi-fi périphérique non prêt micrologiciel manquant"
c'est ce qui apparaît sous le bouton de connexion, et effectivement mon pc ne trouve pas du tout de wi-fi sous librazik3 (ça marchait avec les autres distributions)
qu'est-ce que je peux faire ?
merci !

djb utilisateur non connecté
ouhla, merci bda mais c'est une langue que je ne maîtrise pas du tout là !!! comment je fais pour savoir quel micrologiciel correspond à mon matériel et à ma distribution ? Je suis bien novice...
merci !

bda utilisateur non connecté France
Pour connaître le responsable du WiFi:
Soit lspci pour les interfaces PCI (il faut chercher Network)
lspci | grep Network

Ou avec lsusb pour les interfaces en USB.
On peut aussi avoir des infos avec:
{
sudo dmesg | grep firmware


Une fois trouvé la marque et le modèle, il faut installer le paquet qui va bien (avec apt ou synaptic, comme n'importe quel autre paquet).

Si tu n'y arrives pas, donne nous les résultats des commandes citées.

piep utilisateur non connecté France
bonjour djb,

Contrairement à une distribution comme Ubuntu, Debian n'est pas configuré de base pour installer des paquets non libres (non-free) Or les micrologiciels (firmwares) WIFI sont bien souvent non libres. il faut donc les ajouter au système via le "Gestionnaire de paquets Synaptic".

la démarche est :
  • de savoir quel est le nom du fichier recherché (voir explications de "bda")
  • puis de rechercher de quel paquet il provient (voir http://packages.debian.org )
  • et ensuite d'installer le paquet."Gestionnaire de paquets Synaptic"

Les commandes précédentes (de bda) sont à taper dans le "terminal MATE" (menu Applications --> Outils système)

la commande "sudo" ne fonctionnera pas si tu n'as pas ajouté ton utilisateur à la ligne sudo du fichier /etc/group.

Donc ta démarche sera de passer les commandes depuis le mode administrateur (root).

su

entre le mot de passe de l'administrateur puis lancer la commande suivante et copier/coller la sortie ici même.
dmesg | grep firmware



Librement,
Piep

djb utilisateur non connecté
ok merci bda
bon j'y arrive pas... :

djb@debian:~$ lspci | grep Network
09:00.0 Network controller: Broadcom Limited BCM4313 802.11bgn Wireless Network Adapter (rev 01)


djb@debian:~$ sudo dmesg | grep firmware
[sudo] Mot de passe de djb : 
[    2.870797] [drm:radeon_pci_probe [radeon]] *ERROR* radeon kernel modesetting for R600 or later requires firmware installed
[    2.870803] See https://wiki.debian.org/Firmware for information about missing firmware
[   19.625182] bluetooth hci0: firmware: failed to load brcm/BCM20702A1-0a5c-21e3.hcd (-2)
[   19.626045] firmware_class: See https://wiki.debian.org/Firmware for information about missing firmware
[   19.627141] bluetooth hci0: Direct firmware load for brcm/BCM20702A1-0a5c-21e3.hcd failed with error -2
[   30.848922] brcmsmac bcma0:1: firmware: failed to load brcm/bcm43xx-0.fw (-2)
[   30.850102] brcmsmac bcma0:1: Direct firmware load for brcm/bcm43xx-0.fw failed with error -2
[   30.851269] brcmsmac bcma0:1: firmware: failed to load brcm/bcm43xx-0.fw (-2)
[   30.852397] brcmsmac bcma0:1: Direct firmware load for brcm/bcm43xx-0.fw failed with error -2


j'en déduit que c'est ça qu'il faut que je mette : brcm/bcm43xx-0.fw
quand je clique dessus ça me donne le paquet firmware-brcm80211
que je ne trouve pas dans synaptic
et si je fais apt-get ça fait :
djb@debian:~$ apt-get firmware-brcm80211
E: L'opération firmware-brcm80211 n'est pas valable


piep utilisateur non connecté France
djb,


Comme tu peux le voir sur la page du paquet :
https://packages.debian.org/buster/firmware-brcm80211

ce paquet est "non-free" donc il te faut configurer le "Gestionnaire de paquets Synaptic" pour permettre l'installation de paquet "non-free": (menu Configuration --> depots ) et pour la distribution "Buster" tu dois avoir : main contrib non-free

Une fois cette étape faites tu peux utiliser à ta guise l'interface graphique

"Synaptic"


ou bien la ligne de commande :
apt-get install firmware-brcm80211


(mais il faut maîtriser la commande et avoir les droits d'administration)

Pour les firmwares "bluetooth" je ne trouve pas les paquets dans Debian. la démarche sera différente.

Librement
Piep

djb utilisateur non connecté
merci piep,

dans la configuration de synaptic je ne trouve pas de catégorie "main contrib non free"
juste des catégories "main contrib" et "main"
tous les dépôts sont activés sauf 2
Image

et j'ai essayé tes commandes :

djb@debian:~$ apt-get install firmware-brcm80211
E: Impossible d'ouvrir le fichier verrou /var/lib/dpkg/lock-frontend - open (13: Permission non accordée)
E: Impossible d'obtenir le verrou de dpkg (/var/lib/dpkg/lock-frontend). Avez-vous les droits du superutilisateur ?
djb@debian:~$ su
Mot de passe : 
root@debian:/home/djb# apt-get install firmware-brcm80211
E: Impossible d'obtenir le verrou /var/lib/dpkg/lock-frontend - open (11: Ressource temporairement non disponible)
E: Impossible d'obtenir le verrou de dpkg (/var/lib/dpkg/lock-frontend). Il est possible qu'un autre processus l'utilise.


je suis désolé, c'est très abstrait pour moi...

bda utilisateur non connecté France
Je vais essayer de t'aider car il y a des doublons dans tes dépôts.
D'après ta capture d'écran:
Sélectionne la 7ème ligne puis ajoute "non-free" dans "Catégories" après "main contrib".

Ensuite, tu peux décocher les toutes les lignes (visibles sur la capture) après celles commençant par "cdrom" car ce sont des doublons.
Par exemple:
deb http://deb.debian.org/debian/ buster main
et:
deb http://deb.debian.org/debian/ buster main contrib
sont identiques sauf au niveau des catégories. Du coup tu as deux fois le même dépôt (buster main).

Ensuite tu recharges les dépôts dans synaptic.

Pour ce qui est de la commande "apt-get", elle indique qu'il y a un verrou. C'est toujours le cas lorsque qu'un outil de gestion des paquets (graphique ou textuel) est lancé. Il ne peut jamais y en avoir deux en même temps. Dans ton cas j'imagine que tu n'as pas fermé synaptic avant de lancer "apt-get". C'est l'un ou l'autre mais pas les deux.
Dans certains cas, ça peut aussi venir d'un plantage d'un gestionnaire de paquet, il n'aurait pas supprimé le verrou. Mais avant de supprimer un verrou, il faut être sur de son coup donc je t'expliquerai si tu es sûr de toi.

djb utilisateur non connecté
ouhla j'ai fait ce que tu m'as dit pour synaptic et j'ai un message d'erreur :


W: Le fichier configuré « non/binary-amd64/Packages » ne sera pas pris en compte car le dépôt « http://deb.debian.org/debian buster InRelease » ne dispose pas de la source « non » (erreur de saisie dans sources.list ?)
W: Le fichier configuré « non/binary-i386/Packages » ne sera pas pris en compte car le dépôt « http://deb.debian.org/debian buster InRelease » ne dispose pas de la source « non » (erreur de saisie dans sources.list ?)
W: Le fichier configuré « non/i18n/Translation-fr_FR » ne sera pas pris en compte car le dépôt « http://deb.debian.org/debian buster InRelease » ne dispose pas de la source « non » (erreur de saisie dans sources.list ?)
W: Le fichier configuré « non/i18n/Translation-fr » ne sera pas pris en compte car le dépôt « http://deb.debian.org/debian buster InRelease » ne dispose pas de la source « non » (erreur de saisie dans sources.list ?)
W: Le fichier configuré « non/i18n/Translation-en » ne sera pas pris en compte car le dépôt « http://deb.debian.org/debian buster InRelease » ne dispose pas de la source « non » (erreur de saisie dans sources.list ?)
W: Le fichier configuré « free/binary-i386/Packages » ne sera pas pris en compte car le dépôt « http://deb.debian.org/debian buster InRelease » ne dispose pas de la source « free » (erreur de saisie dans sources.list ?)
W: Le fichier configuré « free/binary-amd64/Packages » ne sera pas pris en compte car le dépôt « http://deb.debian.org/debian buster InRelease » ne dispose pas de la source « free » (erreur de saisie dans sources.list ?)
W: Le fichier configuré « free/i18n/Translation-fr_FR » ne sera pas pris en compte car le dépôt « http://deb.debian.org/debian buster InRelease » ne dispose pas de la source « free » (erreur de saisie dans sources.list ?)
W: Le fichier configuré « free/i18n/Translation-en » ne sera pas pris en compte car le dépôt « http://deb.debian.org/debian buster InRelease » ne dispose pas de la source « free » (erreur de saisie dans sources.list ?)
W: Le fichier configuré « free/i18n/Translation-fr » ne sera pas pris en compte car le dépôt « http://deb.debian.org/debian buster InRelease » ne dispose pas de la source « free » (erreur de saisie dans sources.list ?)

et en essayant via le terminal, (avant d'ouvrir synaptic) :
root@debian:/home/djb# apt-get install firmware-brcm80211
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
E: Impossible de trouver le paquet firmware-brcm80211


djb utilisateur non connecté
et dans synaptic après avoir fait la manip, je ne trouve toujours pas le paquet firmware-brcm80211

bda utilisateur non connecté France
Tu as ajouté "non" et "free" séparément au lieu de "non-free"...

djb utilisateur non connecté
bien vu bda, génial ça marche !! merci!!!


bon j'ai toujours mes trucs de doublons là...
et je vois pas de ligne strictement identique (j'ai recoché les lignes décochées)
voilà 2 captures parce que je ne parviens pas à tout afficher d'un coup :
Image
Image

bda utilisateur non connecté France
Image

Je me suis arrêté là par manque de temps mais ça doit te donner une idée.

EDIT: il faut aussi que tu ajoutes le firmware de ta carte graphique radeon...

djb utilisateur non connecté
je pensais pas que c'était identique vu que les catégories ne sont pas les mêmes...
il faut que j'efface les jaunes par exemple ?

pour la carte graphique du coup vu que le terminal me renvoie ça :
[    2.870797] [drm:radeon_pci_probe [radeon]] *ERROR* radeon kernel modesetting for R600 or later requires firmware installed


il faut que j'installe un de ces paquets j'imagine :
radeon/R600_me.bin
radeon/R600_pfp.bin
radeon/R600_rlc.bin
radeon/R600_uvd.bin
je déduis parce que je vois écrit radeon et R600 mais vous avez bien compris que je n'y comprends rien :-)

mais lequel ??

piep utilisateur non connecté France
pour le firmware de la Radeon R600 installe le paquet : firmware-amd-graphics

djb utilisateur non connecté
Merci beaucoup pour votre aide !

Afficher les articles :
Aller au forum :

Documentation [Afficher / Cacher]

Connexion
[Afficher / Cacher]



Mégaphone [Afficher / Cacher]

sub26nico, 23:53, dim. 25 Oct 2020: Salut et bienvenue à RiQ :-)
olinuxx, 15:00, dim. 25 Oct 2020: Nouveautés LibraZiK pour le mois écoulé : [Lien]
olinuxx, 16:23, jeu. 22 Oct 2020: Bonjour et bienvenue à Sherkaan cool
CyrilRos, 23:43, mer. 21 Oct 2020: Le noyau temps réel passe en version 5.9 sur Tux|N|Mix [Lien]
calixtus06, 08:56, mer. 21 Oct 2020: Bienvenue à Akashbro120 :-)
olinuxx, 14:03, mar. 20 Oct 2020: Bonjour et bienvenue à rico211 cool
calixtus06, 10:46, mar. 20 Oct 2020: Bienvenue à toi fran_studio :-)
minimoineau, 15:20, lun. 19 Oct 2020: Salut à tous, on aurait besoin d'aide pour faire tourner une Saffire pro 26 dans le forum [Lien] svp!
calixtus06, 20:40, sam. 17 Oct 2020: Bienvenu à Dan.p :-)
olinuxx, 19:34, sam. 17 Oct 2020: Bonjour et bienvenue à Dan.p cool
calixtus06, 23:00, ven. 16 Oct 2020: Bienvenue à MorganeH :-)
calixtus06, 09:56, jeu. 15 Oct 2020: Bienvenue à Michelk ! :-)